Opened 10 years ago

Closed 10 years ago

#9539 closed enhancement (fixed)

dojo.require('dojox.analytics._base') in analytics plugins

Reported by: rmurphey Owned by: Dustin Machi
Priority: high Milestone: 1.4
Component: Dojox Version: 1.3.1
Keywords: dojox.analytics.plugins Cc:
Blocked By: Blocking:

Description

Analytics plugins should dojo.require() the base analytics code, because they assume dojox.analytics has been created.

Attachments (1)

require.patch (2.1 KB) - added by rmurphey 10 years ago.
require analytics base in analytics plugins

Download all attachments as: .zip

Change History (4)

Changed 10 years ago by rmurphey

Attachment: require.patch added

require analytics base in analytics plugins

comment:1 Changed 10 years ago by dante

Milestone: tbd1.4
Owner: changed from Adam Peller to Dustin Machi

no CLA on rmurphey [yet], but will likely arrive. Either way this is a trivial patch and can probably go without one.

comment:2 Changed 10 years ago by Adam Peller

no CLA needed for this

comment:3 Changed 10 years ago by dante

Resolution: fixed
Status: newclosed

(In [20151]) fixes #9539 for dmachi. no cla required, but will ping rmurphey anyway about getting one. adding in requires for _base ananlytics in the plugins

Note: See TracTickets for help on using tickets.